/*
 * USER CONFIGURABLE OPTIONS
 */

#define	default_configfile	"/usr/lib/news/newsxd.conf"
#define	default_pidfile		"/etc/newsxd.pid"
#define	default_statusfile	"/usr/lib/news/newsxd.status"

/*
 * CNEWS sites will probably want to define default_workfile and
 * default_batchfile in the following manner:
 *
 * #define default_batchfile	"/usr/spool/out.going/%s/togo"
 * #define default_workfile	"/usr/spool/out.going/%s/togo.work"
 */

#define	default_batchfile	"/usr/spool/news/batched/%s"
#define	default_workfile	"/usr/spool/news/batched/%s.work"

#define	default_xmitlogs	"/var/log/nntpxd"

/*
 * MAXXMITTERS is the maximum number of transmitters that newsxd will
 * support.  MAXCLASSXMITTERS is used to define the dimensions of an array
 * used to quickly map PIDs back to particular transmitters.
 */

#define MAXXMITTERS		200
#define MAXCLASSXMITTERS	100

/*
 * Define SYSLOG if you want logging via syslog.  If so, define SYSLOG to
 * the facility to log at as defined in <syslog.h>.  This is usually 
 * something like LOG_NEWS or LOG_LOCAL7.
 *
 * If your system doesn't support syslog or you don't want to use syslog,
 * you can have newsxd log to a file instead by defining FAKESYSLOG to be
 * the name of the file to log to.
 *
 * If you are planning on turning on debugging while newsxd is running (by
 * using SIGUSR1), you should STRONGLY CONSIDER using FAKESYSLOG.  Enabling
 * one level of debugging can log several MBytes/hour of debugging info and
 * enabling full debugging will easily triple that amount.  This will do bad
 * things to your syslogd!
 *
 * DO NOT DEFINE BOTH SYSLOG AND FAKESYSLOG
 *
 */

#define	SYSLOG			LOG_NEWS	/* normal syslog */
/* #define FAKESYSLOG		"/var/log/newsxd"	/* fake log file */

/*
 * Things you probably shouldn't change unless modifying newsxd
 */

#define	MAXCLASSFLAGS		2	/* number of defined class flags */
#define	MAXEXECARGS		15	/* max number of args to execv */

#define MAXTIMENAMELEN		40	/* max len of UUCP L.sys-style time */
#define	MAXCLASSNAMELEN		8	/* max length of a class name */

#define	C_NOWORK		0	/* Don't rename batchfile->workfile */
#define	C_NOBATCH		1	/* Don't look for batchfile */

/*
 * Why isn't a transmitter running (used in status display)
 */

#define WN_PENALTYTIME		0	/* host went over ttl, now penalized */
#define WN_TTL			1	/* host hit ttl, killed xmit */
#define WN_CLASSSTARTINT	2	/* started xmit this class recently */
#define WN_HOSTSTARTINT		3	/* started xmit this host recently */
#define WN_LOAD			4	/* load too high */
#define WN_BADTIME		5	/* wrong time to xmit */
#define WN_MAXXMITS		6	/* too many transmitters running */
#define WN_RUNNING		7	/* it's running! */
#define WN_NOWORK		8	/* no work to transmit */
#define WN_RENAMEFAILED		9	/* couldn't rename batch -> workfile */
#define WN_NOTMYTURN		10	/* give other host a chance to xmit */
#define WN_NOSLOT		11	/* no class slot, recompile newsxd */
